package bookstorecounterexample;
/**
* <h1>CD</h1>
* Class responsible from handling all 
* the CD items.
*
* @version 1.0
* @since   2017-07-17
*/
public class CD extends Item {
	private String artist;
	private double discount;

	public CD(String aTitle, double aPrice, String anArtist, double aDiscount) {
		super(aTitle, aPrice);
		artist = anArtist;
		discount = aDiscount;
	}

	public double getFinalPrice() {
		return (price - discount);
	}

	public void showDetails() {
		super.showDetails();
		System.out.println("by " + artist);
		System.out.println("final price: " + getFinalPrice()+ "\n");
	}
}
